std::thread Class Reference

## Classes

class | id

## Public Types

template<typename... _Tp>
using | _Call_wrapper = _Invoker< tuple< typename decay< _Tp >::type... > >
using | _State_ptr = unique_ptr< _State >
using | native_handle_type = __gthread_t

## Public Member Functions

template<typename _Callable , typename... _Args, typename = _Require<__not_same<_Callable>>>
| thread (_Callable &&__f, _Args &&... __args)
| thread (const thread &)=delete
| thread (thread &&__t) noexcept
void | detach ()
id | get_id () const noexcept
void | join ()
bool | joinable () const noexcept
native_handle_type | native_handle ()
thread & | operator= (const thread &)=delete
thread & | operator= (thread &&__t) noexcept
void | swap (thread &__t) noexcept

## Static Public Member Functions

static unsigned int | hardware_concurrency () noexcept

## Detailed Description

thread

Definition at line 62 of file std_thread.h.

## Member Function Documentation

## native_handle()

native_handle_type std::thread::native_handle | ( |  | ) |

inline

Precondition
  thread is joinable

Definition at line 191 of file std_thread.h.

The documentation for this class was generated from the following file:

- std_thread.h